<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:10 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>BuildableComponentSpec (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="BuildableComponentSpec (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/gradle/api/Buildable.html" title="interface in org.gradle.api"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../org/gradle/api/BuildCancelledException.html" title="class in org.gradle.api"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/gradle/api/BuildableComponentSpec.html" target="_top">Frames</a></li>
<li><a href="BuildableComponentSpec.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api</div>
<h2 title="Interface BuildableComponentSpec" class="title">Interface BuildableComponentSpec</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../org/gradle/api/Buildable.html" title="interface in org.gradle.api">Buildable</a>, <a href="../../../org/gradle/platform/base/ComponentSpec.html" title="interface in org.gradle.platform.base">ComponentSpec</a>, <a href="../../../org/gradle/model/ModelElement.html" title="interface in org.gradle.model">ModelElement</a>, <a href="../../../org/gradle/api/Named.html" title="interface in org.gradle.api">Named</a></dd>
</dl>
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../org/gradle/platform/base/ApplicationBinarySpec.html" title="interface in org.gradle.platform.base">ApplicationBinarySpec</a>, <a href="../../../org/gradle/language/assembler/AssemblerSourceSet.html" title="interface in org.gradle.language.assembler">AssemblerSourceSet</a>, <a href="../../../org/gradle/platform/base/BinarySpec.html" title="interface in org.gradle.platform.base">BinarySpec</a>, <a href="../../../org/gradle/jvm/ClassDirectoryBinarySpec.html" title="interface in org.gradle.jvm">ClassDirectoryBinarySpec</a>, <a href="../../../org/gradle/language/coffeescript/CoffeeScriptSourceSet.html" title="interface in org.gradle.language.coffeescript">CoffeeScriptSourceSet</a>, <a href="../../../org/gradle/language/cpp/CppSourceSet.html" title="interface in org.gradle.language.cpp">CppSourceSet</a>, <a href="../../../org/gradle/language/c/CSourceSet.html" title="interface in org.gradle.language.c">CSourceSet</a>, <a href="../../../org/gradle/nativeplatform/test/cunit/CUnitTestSuiteBinarySpec.html" title="interface in org.gradle.nativeplatform.test.cunit">CUnitTestSuiteBinarySpec</a>, <a href="../../../org/gradle/language/base/DependentSourceSet.html" title="interface in org.gradle.language.base">DependentSourceSet</a>, <a href="../../../org/gradle/language/nativeplatform/DependentSourceSet.html" title="interface in org.gradle.language.nativeplatform">DependentSourceSet</a>, <a href="../../../org/gradle/nativeplatform/test/googletest/GoogleTestTestSuiteBinarySpec.html" title="interface in org.gradle.nativeplatform.test.googletest">GoogleTestTestSuiteBinarySpec</a>, <a href="../../../org/gradle/language/nativeplatform/HeaderExportingSourceSet.html" title="interface in org.gradle.language.nativeplatform">HeaderExportingSourceSet</a>, <a href="../../../org/gradle/jvm/JarBinarySpec.html" title="interface in org.gradle.jvm">JarBinarySpec</a>, <a href="../../../org/gradle/language/javascript/JavaScriptSourceSet.html" title="interface in org.gradle.language.javascript">JavaScriptSourceSet</a>, <a href="../../../org/gradle/language/java/JavaSourceSet.html" title="interface in org.gradle.language.java">JavaSourceSet</a>, <a href="../../../org/gradle/jvm/test/JUnitTestSuiteBinarySpec.html" title="interface in org.gradle.jvm.test">JUnitTestSuiteBinarySpec</a>, <a href="../../../org/gradle/jvm/JvmBinarySpec.html" title="interface in org.gradle.jvm">JvmBinarySpec</a>, <a href="../../../org/gradle/play/JvmClasses.html" title="interface in org.gradle.play">JvmClasses</a>, <a href="../../../org/gradle/language/jvm/JvmResourceSet.html" title="interface in org.gradle.language.jvm">JvmResourceSet</a>, <a href="../../../org/gradle/jvm/test/JvmTestSuiteBinarySpec.html" title="interface in org.gradle.jvm.test">JvmTestSuiteBinarySpec</a>, <a href="../../../org/gradle/language/base/LanguageSourceSet.html" title="interface in org.gradle.language.base">LanguageSourceSet</a>, <a href="../../../org/gradle/platform/base/LibraryBinarySpec.html" title="interface in org.gradle.platform.base">LibraryBinarySpec</a>, <a href="../../../org/gradle/nativeplatform/NativeBinarySpec.html" title="interface in org.gradle.nativeplatform">NativeBinarySpec</a>, <a href="../../../org/gradle/nativeplatform/NativeExecutableBinarySpec.html" title="interface in org.gradle.nativeplatform">NativeExecutableBinarySpec</a>, <a href="../../../org/gradle/nativeplatform/NativeLibraryBinarySpec.html" title="interface in org.gradle.nativeplatform">NativeLibraryBinarySpec</a>, <a href="../../../org/gradle/language/nativeplatform/NativeResourceSet.html" title="interface in org.gradle.language.nativeplatform">NativeResourceSet</a>, <a href="../../../org/gradle/nativeplatform/test/NativeTestSuiteBinarySpec.html" title="interface in org.gradle.nativeplatform.test">NativeTestSuiteBinarySpec</a>, <a href="../../../org/gradle/language/objectivecpp/ObjectiveCppSourceSet.html" title="interface in org.gradle.language.objectivecpp">ObjectiveCppSourceSet</a>, <a href="../../../org/gradle/language/objectivec/ObjectiveCSourceSet.html" title="interface in org.gradle.language.objectivec">ObjectiveCSourceSet</a>, <a href="../../../org/gradle/play/PlayApplicationBinarySpec.html" title="interface in org.gradle.play">PlayApplicationBinarySpec</a>, <a href="../../../org/gradle/play/PublicAssets.html" title="interface in org.gradle.play">PublicAssets</a>, <a href="../../../org/gradle/language/routes/RoutesSourceSet.html" title="interface in org.gradle.language.routes">RoutesSourceSet</a>, <a href="../../../org/gradle/language/scala/ScalaLanguageSourceSet.html" title="interface in org.gradle.language.scala">ScalaLanguageSourceSet</a>, <a href="../../../org/gradle/nativeplatform/SharedLibraryBinarySpec.html" title="interface in org.gradle.nativeplatform">SharedLibraryBinarySpec</a>, <a href="../../../org/gradle/nativeplatform/StaticLibraryBinarySpec.html" title="interface in org.gradle.nativeplatform">StaticLibraryBinarySpec</a>, <a href="../../../org/gradle/testing/base/TestSuiteBinarySpec.html" title="interface in org.gradle.testing.base">TestSuiteBinarySpec</a>, <a href="../../../org/gradle/language/twirl/TwirlSourceSet.html" title="interface in org.gradle.language.twirl">TwirlSourceSet</a>, <a href="../../../org/gradle/ide/visualstudio/VisualStudioProject.html" title="interface in org.gradle.ide.visualstudio">VisualStudioProject</a>, <a href="../../../org/gradle/ide/visualstudio/VisualStudioSolution.html" title="interface in org.gradle.ide.visualstudio">VisualStudioSolution</a>, <a href="../../../org/gradle/language/rc/WindowsResourceSet.html" title="interface in org.gradle.language.rc">WindowsResourceSet</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd>org.gradle.api.internal.AbstractBuildableComponentSpec, org.gradle.language.base.internal.AbstractLanguageSourceSet, <a href="../../../org/gradle/platform/base/binary/BaseBinarySpec.html" title="class in org.gradle.platform.base.binary">BaseBinarySpec</a>, <a href="../../../org/gradle/language/base/sources/BaseLanguageSourceSet.html" title="class in org.gradle.language.base.sources">BaseLanguageSourceSet</a></dd>
</dl>
<hr>
<br>
<pre><a href="../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public interface <span class="strong">BuildableComponentSpec</span>
extends <a href="../../../org/gradle/api/Buildable.html" title="interface in org.gradle.api">Buildable</a>, <a href="../../../org/gradle/platform/base/ComponentSpec.html" title="interface in org.gradle.platform.base">ComponentSpec</a></pre>
<div class="block">A <a href="../../../org/gradle/platform/base/ComponentSpec.html" title="interface in org.gradle.platform.base"><code>ComponentSpec</code></a> that is directly <a href="../../../org/gradle/api/Buildable.html" title="interface in org.gradle.api"><code>Buildable</code></a> via a specified task.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_org.gradle.api.Named">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.gradle.api.<a href="../../../org/gradle/api/Named.html" title="interface in org.gradle.api">Named</a></h3>
<code><a href="../../../org/gradle/api/Named.Namer.html" title="class in org.gradle.api">Named.Namer</a></code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/api/BuildableComponentSpec.html#builtBy(java.lang.Object...)">builtBy</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;tasks)</code>
<div class="block">Adds tasks required to build this component.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/api/BuildableComponentSpec.html#getBuildTask()">getBuildTask</a></strong>()</code>
<div class="block">Returns the task responsible for building this component.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/api/BuildableComponentSpec.html#hasBuildDependencies()">hasBuildDependencies</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/api/BuildableComponentSpec.html#setBuildTask(org.gradle.api.Task)">setBuildTask</a></strong>(<a href="../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&nbsp;buildTask)</code>
<div class="block">Specifies the task responsible for building this component.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.Buildable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.<a href="../../../org/gradle/api/Buildable.html" title="interface in org.gradle.api">Buildable</a></h3>
<code><a href="../../../org/gradle/api/Buildable.html#getBuildDependencies()">getBuildDependencies</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.platform.base.ComponentSpec">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.platform.base.<a href="../../../org/gradle/platform/base/ComponentSpec.html" title="interface in org.gradle.platform.base">ComponentSpec</a></h3>
<code><a href="../../../org/gradle/platform/base/ComponentSpec.html#getProjectPath()">getProjectPath</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.model.ModelElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.model.<a href="../../../org/gradle/model/ModelElement.html" title="interface in org.gradle.model">ModelElement</a></h3>
<code><a href="../../../org/gradle/model/ModelElement.html#getDisplayName()">getDisplayName</a>, <a href="../../../org/gradle/model/ModelElement.html#getName()">getName</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getBuildTask()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBuildTask</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/javax/annotation/Nullable.html?is-external=true" title="class or interface in javax.annotation">@Nullable</a>
<a href="../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&nbsp;getBuildTask()</pre>
<div class="block">Returns the task responsible for building this component.</div>
</li>
</ul>
<a name="setBuildTask(org.gradle.api.Task)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBuildTask</h4>
<pre>void&nbsp;setBuildTask(<a href="../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&nbsp;buildTask)</pre>
<div class="block">Specifies the task responsible for building this component.</div>
</li>
</ul>
<a name="builtBy(java.lang.Object...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>builtBy</h4>
<pre>void&nbsp;builtBy(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;tasks)</pre>
<div class="block">Adds tasks required to build this component. Tasks added this way are subsequently
 added as dependencies of this component's <a href="../../../org/gradle/api/BuildableComponentSpec.html#getBuildTask()"><code>build task</code></a>.</div>
</li>
</ul>
<a name="hasBuildDependencies()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>hasBuildDependencies</h4>
<pre>boolean&nbsp;hasBuildDependencies()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/gradle/api/Buildable.html" title="interface in org.gradle.api"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../org/gradle/api/BuildCancelledException.html" title="class in org.gradle.api"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/gradle/api/BuildableComponentSpec.html" target="_top">Frames</a></li>
<li><a href="BuildableComponentSpec.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
